// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: gorm.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	descriptorpb "google.golang.org/protobuf/types/descriptorpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GormModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Table *string `protobuf:"bytes,1,opt,name=table,proto3,oneof" json:"table,omitempty"`
	Path  *string `protobuf:"bytes,2,opt,name=path,proto3,oneof" json:"path,omitempty"`
}

func (x *GormModel) Reset() {
	*x = GormModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_gorm_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GormModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GormModel) ProtoMessage() {}

func (x *GormModel) ProtoReflect() protoreflect.Message {
	mi := &file_gorm_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GormModel.ProtoReflect.Descriptor instead.
func (*GormModel) Descriptor() ([]byte, []int) {
	return file_gorm_proto_rawDescGZIP(), []int{0}
}

func (x *GormModel) GetTable() string {
	if x != nil && x.Table != nil {
		return *x.Table
	}
	return ""
}

func (x *GormModel) GetPath() string {
	if x != nil && x.Path != nil {
		return *x.Path
	}
	return ""
}

var file_gorm_proto_extTypes = []protoimpl.ExtensionInfo{
	{
		ExtendedType:  (*descriptorpb.MessageOptions)(nil),
		ExtensionType: (*GormModel)(nil),
		Field:         50001,
		Name:          "next_gen.gorm_model",
		Tag:           "bytes,50001,opt,name=gorm_model",
		Filename:      "gorm.proto",
	},
}

// Extension fields to descriptorpb.MessageOptions.
var (
	// optional next_gen.GormModel gorm_model = 50001;
	E_GormModel = &file_gorm_proto_extTypes[0]
)

var File_gorm_proto protoreflect.FileDescriptor

var file_gorm_proto_rawDesc = []byte{
	0x0a, 0x0a, 0x67, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x6e, 0x65,
	0x78, 0x74, 0x5f, 0x67, 0x65, 0x6e, 0x1a, 0x20, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x52, 0x0a, 0x09, 0x47, 0x6f, 0x72, 0x6d,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x19, 0x0a, 0x05, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x88, 0x01, 0x01,
	0x12, 0x17, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01,
	0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x88, 0x01, 0x01, 0x42, 0x08, 0x0a, 0x06, 0x5f, 0x74, 0x61,
	0x62, 0x6c, 0x65, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x3a, 0x58, 0x0a, 0x0a,
	0x67, 0x6f, 0x72, 0x6d, 0x5f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x1f, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0xd1, 0x86, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x6e, 0x65, 0x78, 0x74, 0x5f, 0x67, 0x65, 0x6e, 0x2e, 0x47,
	0x6f, 0x72, 0x6d, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x09, 0x67, 0x6f, 0x72, 0x6d, 0x4d, 0x6f,
	0x64, 0x65, 0x6c, 0x88, 0x01, 0x01, 0x42, 0x38, 0x5a, 0x36, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x67, 0x65, 0x6e, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x6e,
	0x65, 0x78, 0x74, 0x2d, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x67, 0x69, 0x74, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x3b, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_gorm_proto_rawDescOnce sync.Once
	file_gorm_proto_rawDescData = file_gorm_proto_rawDesc
)

func file_gorm_proto_rawDescGZIP() []byte {
	file_gorm_proto_rawDescOnce.Do(func() {
		file_gorm_proto_rawDescData = protoimpl.X.CompressGZIP(file_gorm_proto_rawDescData)
	})
	return file_gorm_proto_rawDescData
}

var file_gorm_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_gorm_proto_goTypes = []interface{}{
	(*GormModel)(nil),                   // 0: next_gen.GormModel
	(*descriptorpb.MessageOptions)(nil), // 1: google.protobuf.MessageOptions
}
var file_gorm_proto_depIdxs = []int32{
	1, // 0: next_gen.gorm_model:extendee -> google.protobuf.MessageOptions
	0, // 1: next_gen.gorm_model:type_name -> next_gen.GormModel
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	1, // [1:2] is the sub-list for extension type_name
	0, // [0:1] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_gorm_proto_init() }
func file_gorm_proto_init() {
	if File_gorm_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_gorm_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GormModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_gorm_proto_msgTypes[0].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_gorm_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 1,
			NumServices:   0,
		},
		GoTypes:           file_gorm_proto_goTypes,
		DependencyIndexes: file_gorm_proto_depIdxs,
		MessageInfos:      file_gorm_proto_msgTypes,
		ExtensionInfos:    file_gorm_proto_extTypes,
	}.Build()
	File_gorm_proto = out.File
	file_gorm_proto_rawDesc = nil
	file_gorm_proto_goTypes = nil
	file_gorm_proto_depIdxs = nil
}
